> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seam.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Unmanaged Access Grants

> Gets unmanaged Access Grants (where is_managed = false).



## OpenAPI

````yaml /openapi.json post /access_grants/unmanaged/list
openapi: 3.0.0
info:
  title: Seam Connect
  version: 1.0.0
servers:
  - url: https://connect.getseam.com
security: []
tags:
  - description: access_codes
    name: /access_codes
  - description: acs
    name: /acs
  - description: action_attempts
    name: /action_attempts
  - description: client_sessions
    name: /client_sessions
  - description: connected_accounts
    name: /connected_accounts
  - description: connect_webviews
    name: /connect_webviews
  - description: devices
    name: /devices
  - description: events
    name: /events
  - description: health
    name: /health
  - description: locks
    name: /locks
  - description: networks
    name: /networks
  - description: noise_sensors
    name: /noise_sensors
  - description: phones
    name: /phones
  - description: thermostats
    name: /thermostats
  - description: user_identities
    name: /user_identities
  - description: webhooks
    name: /webhooks
  - description: workspaces
    name: /workspaces
paths:
  /access_grants/unmanaged/list:
    post:
      tags: []
      summary: List Unmanaged Access Grants
      description: Gets unmanaged Access Grants (where is_managed = false).
      operationId: accessGrantsUnmanagedListPost
      requestBody:
        content:
          application/json:
            schema:
              properties:
                acs_entrance_id:
                  description: >-
                    ID of the entrance by which you want to filter the list of
                    unmanaged Access Grants.
                  format: uuid
                  type: string
                acs_system_id:
                  description: >-
                    ID of the access system by which you want to filter the list
                    of unmanaged Access Grants.
                  format: uuid
                  type: string
                limit:
                  default: 500
                  description: >-
                    Numerical limit on the number of unmanaged access grants to
                    return.
                  format: float
                  type: number
                page_cursor:
                  description: >-
                    Identifies the specific page of results to return, obtained
                    from the previous page's `next_page_cursor`.
                  nullable: true
                  type: string
                reservation_key:
                  description: Filter unmanaged Access Grants by reservation_key.
                  type: string
                user_identity_id:
                  description: >-
                    ID of user identity by which you want to filter the list of
                    unmanaged Access Grants.
                  format: uuid
                  type: string
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  access_grants:
                    items:
                      description: >-
                        Represents an unmanaged Access Grant. Unmanaged Access
                        Grants do not have client sessions, instant keys,
                        customization profiles, or keys.
                      properties:
                        access_grant_id:
                          description: ID of the Access Grant.
                          format: uuid
                          type: string
                        access_method_ids:
                          description: >-
                            IDs of the access methods created for the Access
                            Grant.
                          items:
                            format: uuid
                            type: string
                          type: array
                        created_at:
                          description: Date and time at which the Access Grant was created.
                          format: date-time
                          type: string
                        display_name:
                          description: Display name of the Access Grant.
                          type: string
                        ends_at:
                          description: Date and time at which the Access Grant ends.
                          format: date-time
                          nullable: true
                          type: string
                        errors:
                          description: >-
                            Errors associated with the [access
                            grant](https://docs.seam.co/use-cases/granting-access).
                          items:
                            discriminator:
                              propertyName: error_code
                            oneOf:
                              - properties:
                                  created_at:
                                    description: >-
                                      Date and time at which Seam created the
                                      error.
                                    format: date-time
                                    type: string
                                  error_code:
                                    description: >-
                                      Unique identifier of the type of error.
                                      Enables quick recognition and
                                      categorization of the issue.
                                    enum:
                                      - cannot_create_requested_access_methods
                                    type: string
                                  message:
                                    description: >-
                                      Detailed description of the error.
                                      Provides insights into the issue and
                                      potentially how to rectify it.
                                    type: string
                                  missing_device_ids:
                                    description: >-
                                      IDs of the devices that did not receive an
                                      access code at grant creation. Use these
                                      to identify which specific devices failed
                                      when the message reports a partial
                                      failure.
                                    items:
                                      format: uuid
                                      type: string
                                    type: array
                                required:
                                  - created_at
                                  - message
                                  - error_code
                                type: object
                          type: array
                        location_ids:
                          deprecated: true
                          items:
                            format: uuid
                            type: string
                          type: array
                          x-deprecated: Use `space_ids`.
                        name:
                          description: >-
                            Name of the Access Grant. If not provided, the
                            display name will be computed.
                          nullable: true
                          type: string
                        pending_mutations:
                          description: >-
                            List of pending mutations for the access grant. This
                            shows updates that are in progress.
                          items:
                            discriminator:
                              propertyName: mutation_code
                            oneOf:
                              - description: >-
                                  Seam is in the process of updating the
                                  devices/spaces associated with this access
                                  grant.
                                properties:
                                  created_at:
                                    description: >-
                                      Date and time at which the mutation was
                                      created.
                                    format: date-time
                                    type: string
                                  from:
                                    description: Previous location configuration.
                                    properties:
                                      device_ids:
                                        description: >-
                                          Previous device IDs where access codes
                                          existed.
                                        items:
                                          format: uuid
                                          type: string
                                        type: array
                                    required:
                                      - device_ids
                                    type: object
                                  message:
                                    description: Detailed description of the mutation.
                                    type: string
                                  mutation_code:
                                    description: >-
                                      Mutation code to indicate that Seam is in
                                      the process of updating the spaces
                                      (devices) associated with this access
                                      grant.
                                    enum:
                                      - updating_spaces
                                    type: string
                                  to:
                                    description: New location configuration.
                                    properties:
                                      common_code_key:
                                        description: >-
                                          Common code key to ensure PIN code reuse
                                          across devices.
                                        nullable: true
                                        type: string
                                      device_ids:
                                        description: >-
                                          New device IDs where access codes should
                                          be created.
                                        items:
                                          format: uuid
                                          type: string
                                        type: array
                                    required:
                                      - device_ids
                                    type: object
                                required:
                                  - created_at
                                  - message
                                  - mutation_code
                                  - from
                                  - to
                                type: object
                              - description: >-
                                  Seam is in the process of updating the access
                                  times for this access grant.
                                properties:
                                  access_method_ids:
                                    description: IDs of the access methods being updated.
                                    items:
                                      format: uuid
                                      type: string
                                    type: array
                                  created_at:
                                    description: >-
                                      Date and time at which the mutation was
                                      created.
                                    format: date-time
                                    type: string
                                  from:
                                    description: Previous access time configuration.
                                    properties:
                                      ends_at:
                                        description: Previous end time for access.
                                        format: date-time
                                        nullable: true
                                        type: string
                                      starts_at:
                                        description: Previous start time for access.
                                        format: date-time
                                        nullable: true
                                        type: string
                                    required:
                                      - starts_at
                                      - ends_at
                                    type: object
                                  message:
                                    description: Detailed description of the mutation.
                                    type: string
                                  mutation_code:
                                    description: >-
                                      Mutation code to indicate that Seam is in
                                      the process of updating the access times
                                      for this access grant.
                                    enum:
                                      - updating_access_times
                                    type: string
                                  to:
                                    description: New access time configuration.
                                    properties:
                                      ends_at:
                                        description: New end time for access.
                                        format: date-time
                                        nullable: true
                                        type: string
                                      starts_at:
                                        description: New start time for access.
                                        format: date-time
                                        nullable: true
                                        type: string
                                    required:
                                      - starts_at
                                      - ends_at
                                    type: object
                                required:
                                  - created_at
                                  - message
                                  - mutation_code
                                  - access_method_ids
                                  - from
                                  - to
                                type: object
                          type: array
                        requested_access_methods:
                          description: >-
                            Access methods that the user requested for the
                            Access Grant.
                          items:
                            properties:
                              code:
                                description: >-
                                  Specific PIN code to use for this access
                                  method. Only applicable when mode is 'code'.
                                maxLength: 9
                                minLength: 4
                                pattern: ^\d+$
                                type: string
                              created_access_method_ids:
                                description: >-
                                  IDs of the access methods created for the
                                  requested access method.
                                items:
                                  format: uuid
                                  type: string
                                type: array
                              created_at:
                                description: >-
                                  Date and time at which the requested access
                                  method was added to the Access Grant.
                                format: date-time
                                type: string
                              display_name:
                                description: Display name of the access method.
                                type: string
                              instant_key_max_use_count:
                                description: >-
                                  Maximum number of times the instant key can be
                                  used. Only applicable when mode is
                                  'mobile_key'. Defaults to 1 if not specified.
                                minimum: 1
                                type: integer
                              mode:
                                description: >-
                                  Access method mode. Supported values: `code`,
                                  `card`, `mobile_key`, `cloud_key`.
                                enum:
                                  - code
                                  - card
                                  - mobile_key
                                  - cloud_key
                                type: string
                            required:
                              - display_name
                              - mode
                              - created_at
                              - created_access_method_ids
                            type: object
                          type: array
                        reservation_key:
                          description: Reservation key for the access grant.
                          type: string
                        space_ids:
                          description: >-
                            IDs of the spaces to which the Access Grant gives
                            access.
                          items:
                            format: uuid
                            type: string
                          type: array
                        starts_at:
                          description: Date and time at which the Access Grant starts.
                          format: date-time
                          type: string
                        user_identity_id:
                          description: >-
                            ID of user identity to which the Access Grant gives
                            access.
                          format: uuid
                          type: string
                        warnings:
                          description: >-
                            Warnings associated with the [access
                            grant](https://docs.seam.co/use-cases/granting-access).
                          items:
                            description: >-
                              Warning associated with the [access
                              grant](https://docs.seam.co/use-cases/granting-access).
                            discriminator:
                              propertyName: warning_code
                            oneOf:
                              - description: >-
                                  Indicates that the [access
                                  grant](https://docs.seam.co/use-cases/granting-access)
                                  is being deleted.
                                properties:
                                  created_at:
                                    description: >-
                                      Date and time at which Seam created the
                                      warning.
                                    format: date-time
                                    type: string
                                  message:
                                    description: >-
                                      Detailed description of the warning.
                                      Provides insights into the issue and
                                      potentially how to rectify it.
                                    type: string
                                  warning_code:
                                    description: >-
                                      Unique identifier of the type of warning.
                                      Enables quick recognition and
                                      categorization of the issue.
                                    enum:
                                      - being_deleted
                                    type: string
                                required:
                                  - created_at
                                  - message
                                  - warning_code
                                type: object
                              - description: >-
                                  Indicates that the access grant should have
                                  access to more locations than it currently
                                  does. Access methods are being created for the
                                  missing locations.
                                properties:
                                  created_at:
                                    description: >-
                                      Date and time at which Seam created the
                                      warning.
                                    format: date-time
                                    type: string
                                  message:
                                    description: >-
                                      Detailed description of the warning.
                                      Provides insights into the issue and
                                      potentially how to rectify it.
                                    type: string
                                  warning_code:
                                    description: >-
                                      Unique identifier of the type of warning.
                                      Enables quick recognition and
                                      categorization of the issue.
                                    enum:
                                      - underprovisioned_access
                                    type: string
                                required:
                                  - created_at
                                  - message
                                  - warning_code
                                type: object
                              - description: >-
                                  Indicates that the access grant has access to
                                  locations it should not have. Access methods
                                  are being removed from the extra locations.
                                properties:
                                  created_at:
                                    description: >-
                                      Date and time at which Seam created the
                                      warning.
                                    format: date-time
                                    type: string
                                  failed_devices:
                                    description: >-
                                      Devices whose access codes could not be
                                      revoked during reconciliation. Present
                                      when the provider does not support
                                      revoking an offline access code (e.g.
                                      Dormakaba oracode with exhausted override
                                      budget).
                                    items:
                                      properties:
                                        device_id:
                                          description: >-
                                            Device whose access code could not be
                                            revoked.
                                          format: uuid
                                          type: string
                                        error_code:
                                          description: >-
                                            Reason the access code could not be
                                            revoked (e.g.
                                            `offline_access_code_not_revocable`).
                                          type: string
                                        message:
                                          description: >-
                                            Human-readable description of why
                                            revocation failed.
                                          type: string
                                      required:
                                        - device_id
                                        - error_code
                                        - message
                                      type: object
                                    type: array
                                  message:
                                    description: >-
                                      Detailed description of the warning.
                                      Provides insights into the issue and
                                      potentially how to rectify it.
                                    type: string
                                  warning_code:
                                    description: >-
                                      Unique identifier of the type of warning.
                                      Enables quick recognition and
                                      categorization of the issue.
                                    enum:
                                      - overprovisioned_access
                                    type: string
                                required:
                                  - created_at
                                  - message
                                  - warning_code
                                type: object
                              - description: >-
                                  Indicates that the access times for this
                                  [access
                                  grant](https://docs.seam.co/use-cases/granting-access)
                                  are being updated.
                                properties:
                                  access_method_ids:
                                    description: IDs of the access methods being updated.
                                    items:
                                      format: uuid
                                      type: string
                                    type: array
                                  created_at:
                                    description: >-
                                      Date and time at which Seam created the
                                      warning.
                                    format: date-time
                                    type: string
                                  message:
                                    description: >-
                                      Detailed description of the warning.
                                      Provides insights into the issue and
                                      potentially how to rectify it.
                                    type: string
                                  warning_code:
                                    description: >-
                                      Unique identifier of the type of warning.
                                      Enables quick recognition and
                                      categorization of the issue.
                                    enum:
                                      - updating_access_times
                                    type: string
                                required:
                                  - created_at
                                  - message
                                  - warning_code
                                  - access_method_ids
                                type: object
                              - description: >-
                                  Indicates that the requested PIN code was
                                  already in use on a device, so a different
                                  code was assigned.
                                properties:
                                  created_at:
                                    description: >-
                                      Date and time at which Seam created the
                                      warning.
                                    format: date-time
                                    type: string
                                  device_id:
                                    description: >-
                                      ID of the device where the requested code
                                      was unavailable.
                                    format: uuid
                                    type: string
                                  message:
                                    description: >-
                                      Detailed description of the warning.
                                      Provides insights into the issue and
                                      potentially how to rectify it.
                                    type: string
                                  new_code:
                                    description: >-
                                      The new PIN code that was assigned
                                      instead.
                                    type: string
                                  original_code:
                                    description: >-
                                      The originally requested PIN code that was
                                      unavailable.
                                    type: string
                                  warning_code:
                                    description: >-
                                      Unique identifier of the type of warning.
                                      Enables quick recognition and
                                      categorization of the issue.
                                    enum:
                                      - requested_code_unavailable
                                    type: string
                                required:
                                  - created_at
                                  - message
                                  - warning_code
                                  - device_id
                                  - original_code
                                  - new_code
                                type: object
                              - description: >-
                                  Indicates that a device in the access grant
                                  does not support access codes and was excluded
                                  from code materialization.
                                properties:
                                  created_at:
                                    description: >-
                                      Date and time at which Seam created the
                                      warning.
                                    format: date-time
                                    type: string
                                  device_id:
                                    description: >-
                                      ID of the device that does not support
                                      access codes.
                                    format: uuid
                                    type: string
                                  message:
                                    description: >-
                                      Detailed description of the warning.
                                      Provides insights into the issue and
                                      potentially how to rectify it.
                                    type: string
                                  warning_code:
                                    description: >-
                                      Unique identifier of the type of warning.
                                      Enables quick recognition and
                                      categorization of the issue.
                                    enum:
                                      - device_does_not_support_access_codes
                                    type: string
                                required:
                                  - created_at
                                  - message
                                  - warning_code
                                  - device_id
                                type: object
                              - description: >-
                                  Indicates that a device in the access grant
                                  cannot program an access code for the grant's
                                  time range because of device-specific time
                                  constraints.
                                properties:
                                  created_at:
                                    description: >-
                                      Date and time at which Seam created the
                                      warning.
                                    format: date-time
                                    type: string
                                  device_id:
                                    description: >-
                                      ID of the device whose time constraints
                                      the access grant violates.
                                    format: uuid
                                    type: string
                                  message:
                                    description: >-
                                      Detailed description of the warning.
                                      Provides insights into the issue and
                                      potentially how to rectify it.
                                    type: string
                                  reason:
                                    description: >-
                                      Specific reason why the grant's times are
                                      not programmable on the device.
                                    enum:
                                      - duration_exceeds_max
                                      - times_do_not_match_slots
                                      - ongoing_not_supported
                                    type: string
                                  warning_code:
                                    description: >-
                                      Unique identifier of the type of warning.
                                      Enables quick recognition and
                                      categorization of the issue.
                                    enum:
                                      - device_time_constraints_violated
                                    type: string
                                required:
                                  - created_at
                                  - message
                                  - warning_code
                                  - device_id
                                  - reason
                                type: object
                          type: array
                        workspace_id:
                          description: >-
                            ID of the Seam workspace associated with the Access
                            Grant.
                          format: uuid
                          type: string
                      required:
                        - workspace_id
                        - access_grant_id
                        - location_ids
                        - space_ids
                        - requested_access_methods
                        - access_method_ids
                        - name
                        - display_name
                        - created_at
                        - starts_at
                        - ends_at
                        - warnings
                        - errors
                        - pending_mutations
                      type: object
                      x-draft: Early access.
                      x-route-path: /access_grants/unmanaged
                    type: array
                  ok:
                    type: boolean
                  pagination:
                    $ref: '#/components/schemas/pagination'
                required:
                  - access_grants
                  - pagination
                  - ok
                type: object
          description: OK
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
      security:
        - pat_with_workspace: []
        - console_session_with_workspace: []
        - api_key: []
        - client_session_with_customer: []
components:
  schemas:
    pagination:
      description: Information about the current page of results.
      properties:
        has_next_page:
          description: Indicates whether there is another page of results after this one.
          type: boolean
        next_page_cursor:
          description: >-
            Opaque value that can be used to select the next page of results via
            the `page_cursor` parameter.
          nullable: true
          type: string
        next_page_url:
          description: URL to get the next page of results.
          format: uri
          nullable: true
          type: string
      required:
        - next_page_cursor
        - has_next_page
        - next_page_url
      type: object
  securitySchemes:
    pat_with_workspace:
      bearerFormat: API Token
      scheme: bearer
      type: http
    console_session_with_workspace:
      bearerFormat: Console Session Token
      scheme: bearer
      type: http
    api_key:
      bearerFormat: API Key
      scheme: bearer
      type: http
    client_session_with_customer:
      bearerFormat: Customer Client Session Token
      scheme: bearer
      type: http

````